name: Build & Test

on:
  push:
    branches:
      - mauster
  pull_request:
    branches:
      - mauster
  workflow_dispatch:

concurrency:
  group: mau
  cancel-in-progress: true

jobs:
  build:
    runs-on: self-hosted
    steps:
      - name: Checkout
        uses: actions/checkout@main
        with:
          fetch-depth: 0
      - name: Use Node.js
        uses: actions/setup-node@main
        with:
          node-version: 16
      - name: Install dependencies
        run: npm install
      - name: Build
        run: npm run build